curl --request POST \
--url https://api.contiguity.com/send/text/reactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reaction": "love",
"action": "add"
}
'import requests
url = "https://api.contiguity.com/send/text/reactions"
payload = {
"reaction": "love",
"action": "add"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reaction: 'love', action: 'add'})
};
fetch('https://api.contiguity.com/send/text/reactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "req_xxxxxxxxxxxxxxxx",
"timestamp": 1790546990555,
"api_version": "v2026.9.27",
"object": "response",
"data": {
"message_id": "text_xyz7fsdlkv89"
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1790546990555,
"api_version": "v2026.9.27",
"object": "error",
"data": {
"error": "Bad Request",
"status": 400
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1790546990555,
"api_version": "v2026.9.27",
"object": "error",
"data": {
"error": "Unauthorized",
"status": 401
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1790546990555,
"api_version": "v2026.9.27",
"object": "error",
"data": {
"error": "Forbidden",
"status": 403
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1790546990555,
"api_version": "v2026.9.27",
"object": "error",
"data": {
"error": "Internal Server Error",
"status": 500
}
}Add or Remove Reactions
Add or remove a reaction to an SMS/MMS message

Contiguity delivers reactions by sending a special message to the recipient’s device. On older devices that do not support reaction messages, the recipient will instead receive a regular text in the format:
{Reaction} "{Message}" — for example, Loved "Hello, world!"
There are no additional charges. Both adding and removing reactions count toward your quota.

Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Reaction type.
love, thumbsup, thumbsdown, haha, emphasized, questioned "love"
Add or remove the reaction.
add, remove "add"
Option A: ID of the message to react to (e.g. text_xxx). Contiguity auto-fills the required fields.
"text_abc123"
Option B: Recipient phone (E.164). Required when not using message_id.
"+1234567890"
Option B: Your number to send from (E.164). Optional if you provide a message_id.
"+15555555555"
Option B: Exact content of the message you are reacting to. Required when not using message_id.
"Hello there!"
Response
Send a reaction to a message via SMS! Use either message_id to react to a message, or provide message information manually.
Was this page helpful?